2003-12-06  Malcolm Tredinnick <malcolm@commsecure.com.au>

	New release needed because 0.3.13 had serious intltool problems
	and did not build for most people.

	* configure.in: Require intltool >= 0.28. Bump version to
	0.3.14.

	* Makefile.am:
	- Clean up the contents a little bit.
	- Distribute extra file required by intltool scripts.

	* cl/src/get-cl.c: The contents files were being written over
	the top of one another. Fix the typo that caused this.

	* scrollkeeper.spec.in: Mark some extra documentation files.

	* .cvsignore: Shhhh....

2003-12-05  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* configure.in: Post-release version bump (0.3.14-pre1).

	* COPYING-DOCS, COPYING.DOC: Rename the former to the latter so
	that automake will manage the file automatically.

==================== 0.3.13 release ====================

2003-12-05  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* autogen.sh: Run intltoolize.

	* cl/src/get-cl.c: Beat a few bugs out of yesterday's
	implementation.

	* po/ru.po, po/az.po: Fix a couple of typos that were breaking
	the build.

	* TODO: Add another thing that needs doing.

	* cl/templates/Makefile.am: Fix build for automake >= 1.6.

	* configure.in: Define GETTEXT_PACKAGE in an attempt to fool
	intltool. Doesn't quite work yet, though.

	* Makefile.am: Help distcheck work.

2003-12-02  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* NEWS: Updated in preparation for 0.3.13 release.

	* configure.in: Bump version number to 0.3.13.

	* cl/src/get-cl.c: Use a per-user directory for storing contents
	files. Fixes bugs #614263 and #798614 and many mailing list
	complaints.

	* cl/templates/.cvsignore, cl/templates/Makefile.am: Add in a
	couple of missing languages and ignore their generated
	directories.

	* intl/*, m4/*, po/*: Updated the included gettext to match GNU
	gettext 0.12.1. This also introduces some new files into the po/
	directory for the build support.

	* autogen.sh: Overhaul a bit. Force the use of automake >= 1.6
	(needed for the gettext upgrade).

	* acconfig.h: Obsolete. Removed.

	* libs/uninstall.c: Patch from Tim Waugh <twaugh@redhat.com> to
	fix a crash due to some missing error handling (Sourceforge
	patch tracker entry #839165).

	* libs/Makefile.am: Fix a problem with the generation of
	scrollkeeper.h.

2003-11-02  Miloslav Trmac  <mitr@volny.cz>

	* po/ja.po: Updated Japanese translation from
	Yukihiro Nakai <nakai@gnome.gr.jp>.

	* po/sr.po: Updated Serbian translation from
	Danilo Segan <dsegan@gmx.net>.

2003-09-11  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

	* cl/templates/Makefile.am: Added "sr" and "sr@Latn" to
	TRANSLATED_LOCALES.

	* po/sr.po, po/sr@Latn.po: Added Serbian translation from
	Danilo Šegan <danilo@prevod.org>.

2003-09-04  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libs/i18n.c: Fix an embarassing bug that caused a segfault
	when retrieving the contents list.

	* po/ja.po: Fix a problem where some msgstr entries were
	permuted. Patch from Shun-ichi Tahara
	<st-jado@users.sourceforge.net>. Fixes bug #778754.

2003-09-03  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libs/install.c:
	- Patch from Alex Larsson <alexl@redhat.com> to fix a segfault
	  when attempting to install an invalid OMF file. Fixes bug
	  #799679.
	- Allow for the possibility of get_doc_property() returning
	  NULL, which can happen on invalid documents. Also accomodate
	  another xmlGetProp() instance returning NULL. This fixes a few
	  more segfaults and bug #502684.

	* NEWS: Updated.

2003-09-02  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libs/install.c: When putting new documents into the contents
	lists, we should be comparing against the categories, not the
	titles. Fixes bugs #778749 and #794548 (patch from Laszlo Kovacs
	<laszlo.kovacs@sun.com>).

	* cl/src/update.c, cl/src/preinstall.c,
	* cl/src/scrollkeeper-install.c: If the -n option is passed in
	use the network to retrieve DTDs that are not in the XML
	catalog. By default, the network is not used. Fixes bug
	#684093 and some requests from the mailing list. Based on some
	patches from Sun.

	* man/man8/scrollkeeper-preinstall.8,
	* man/man8/scrollkeeper-update.8:
	Update to reflect the above changes.

	* TODO: Updated.

	* NEWS: Start to fill in preparing for the 0.3.13 release.

2003-07-10  Miloslav Trmac  <mitr@volny.cz>

	* po/sv.po: Updated Swedish translation from
	Christian Rose <menthos@menthos.com>.

2003-06-27  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* cl/src/update.c, libs/extract.c, libs/file.c, libs/install.c,
	libuuid/gen_uuid.c: Applied a patch from Narayana Pattipati
	<narayana.pattipati@wipro.com> to close various file descriptors
	are using them. This prevents running out of resources on
	Solaris, for example.

2003-06-26  Malcolm Tredinnick <malcolm@commsecure.com.au>
	
	* cl/src/get-cl.c: Tidy up some strings for the translators.

	* AUTHORS: Added myself and Miloslav so that people know who to
	flame about problems.

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.omf:
	Removed a couple of links that are out of date and updated the
	OMF file appropriately.

2003-06-25  Miloslav Trmac  <mitr@volny.cz>

	Taking translations from gnome-i18n/extra-po/scrollkeeper...
	* po/am.po: Added Amharic translation from
	Ge'ez Frontier Foundation <locales@geez.org>.

	* po/da.po: Updated Danish translation from
	Ole Laursen <olau@hardworking.dk>.

	* po/kn.po: Added Kannada translation from
	Pramod <rpramod@postmaster.co.uk>.

	* po/nl.po: Updated Dutch translation from
	Tino Meinen <a.t.meinen@chello.nl>.

	* po/no.po: Updated Norwegian translation from
	Kjartan Maraas <kmaraas@gnome.org>.

	* po/ru.po: Updated Russian translation from
	Dmitry Mastrukov <dmitry@taurussoft.org>.

	* po/sk.po: Updated Slovak translation from
	Stanislav Visnovsky <visnovsky@kde.org>.

	* po/sv.po: Updated Swedish translation from
	Christian Rose <menthos@menthos.com>.

	* po/tr.po: Updated Turkish translation from
	Gorkem Cetin <gorkem@kde.org>.

	* po/vi.po: Updated translation from pclouds <pclouds@gmx.net>.

	* po/zh_TW.po: Updated tranditionial Chinese translation from
	Abel Cheung <maddog@linux.org.hk>.

	* configure.in: Added "am" and "kn" to ALL_LINGUAS.

	* cl/templates/Makefile.am: Added "am" and "kn" to TRANSLATED_LOCALES.

	* po/hu.po: Updated Hungarian translation from
	Emese Kovacs <emese@gnome.hu>.

	* po/ca.po: Updated Catalan translation from
	Jordi Mallach <jordi@sindominio.net>.

2003-06-25  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* configure.in: Bump version number to 0.3.13-pre1.

2003-06-24  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* INSTALL: Update the comments about the DocBook DTDs and
	stylesheets.

	* configure.in: Tidying up...
	- Remove unnecessary intltool tests.
	- Remove some tests that are only used in the intl/ directory
	  and if you are using that, they are tested for in
	  AM_GNU_GETTEXT.

	* Makefile.am: Move intl/ earlier in the subdirs list (since
	libs/ depends upon it).

2003-06-23  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libs/Makefile.am: Fix a small build problem that I introduced
	yesterday.

	* configure.in: Allow the location of the XML catalog file to be
	specified (--with-xml-catalog=...) for systems were it is in
	some non-standard location.

	* extract/dtds/Makefile.am: Install the Scrollkeeper DTD in the
	catalog determined by the 'configure' script. Fixes bug #596702.

2003-06-22  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* configure.in:
	- Try to detect version 4.2 and 4.1.2 of the DocBook XML DTDs(in
	  that order). Fixes bug #731091.
	- Define SCROLLKEEPERLOCALEDIR to be configurable (previously it
	  was hardcoded and broken).
	- Use libiconv when building intl/ (if necessary). Fixes bug
	  #430208.
	- Set SCROLLKEEPER_PARTIAL_DB_DIR appropriately for NetBSD and
	  OpenBSD systems. Also allow this variable to be set via an
	  option at configure time in case of emergencies. Fixes bug
	  #687546.

	* libs/extract.c:
	- Substitute in the correct public and system identifiers for
	  the DocBook version detected at configure time.
	- Do XInclude processing on XML documents. Fixes bug #566794.
	- Do some small code reformatting to make the strcmp() results
	  clearer.

	* libs/i18n.c: Since strndup() is a GNU extension, it is not
	very portable and its use broke the build on (at least) Solaris,
	FreeBSD and Max OS X. It has now been replaced (thanks to Julio
	Merino Vidal for the patch). Fixes bug #671709.

	* libs/install.c: Free the results from xmlGetProp() with
	xmlFree(), not free(). Fixes bug #661486.

	* libs/merge.c, libs/uninstall.c: Fix some memory leaks.

	* configure.in, libs/Makefile.am: Apply a variation on a patch
	from Mariano Suarez-Alvarez <msuarezalvarez@arnet.com.ar> to
	generate the scrollkeeper.h file correctly. Fixes bugs #563187,
	#595368 and #636360.

	* cl/templates/Makefile.am: Remove nb and uk from
	TRANSLATED_LOCALES.

	* libs/scrollkeeper.h.in: Remove SCROLLKEEPERLOCALEDIR; it is
	now in config.h.

	* README: Updated a bit. Added the project homepage and bug
	reporting address (fixes bug #573002).

	* extract/dtds/scrollkeeper-omf.dtd: Apply patch from Nalin
	Dahyabhai to make the "relation" element an optional, multiple
	child element in the OMF file, rather than a compulsory, single
	child. This conforms with the OMF specification. Fixes bug
	#568355.

	* Makefile.am: Use SCROLLKEEPER_PARTIAL_DB_DIR when constructing
	scrollkeeper_localstate_dir. Fixes bug #687601.

2003-06-21  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* po/ca.po: Updated Catalan translation from Jordi Mallach
	<jordi@sindominio.net>.

	* .cvsignore, cl/templates/.cvsignore, intl/.cvsignore:
	Ignore a few generated files.

	* configure.in:
	- Fix up URL for intltool (sourceforge patch #648776).
	- Various other small fixes to help distcheck pass.

	* libuuid/gen_uuid.c: (get_node_id) It first attempts to create
	a socket of AF_INET6 type, If it fails then it falls back to
	create AF_INET socket as was done previously. Patch from Archana
	Shah <archana.shah@wipro.com> (sourceforge patch #753167).

	* Makefile.am: Install ChangeLog, COPYING, NEWS and README in
	the documentation directory.

	* Makefile.am, buildtools/Makefile.am, cl/src/Makefile.am,
	extract/src/Makefile.am: Apply patch from Miloslav Trmac to try
	and fix bug #676043.

	* doc/xmldocs.make, doc/omf.make: Apply patch from Tim Waugh
	to fix bug #757124. Helps 'make distcheck' succeed.

	* autogen.sh: Force the use of automake-1.4 and aclocal-1.4 to
	avoid version incompatibilities. Ultimately, we should upgrade
	to automake 1.6 or 1.7, but let's do it in baby steps.

	* intl/*: The ages of the files in here (especially
	Makefile.in) were causing build problems. Updated to be
	equivalent to gettext-0.10.40 (from 0.10.35). There are possibly
	still some problems here interacting with intltool, for which
	the simplest solution might be to go to gettext-0.11.x, but this
	will do for now.

2003-05-01  Miloslav Trmac  <mitr@volny.cz>

	* scripts/gen-docuid.c: Recognize --help, print usage information
	  when parameters are passed (bug #430498).
	* scripts/Makefile.am: Add include directories to be able to use
	  gettext in scripts/gen-docuid.c.
	* man/man1/scrollkeeper-gen-seriesid.1: Document --help.
	* po/POTFILES.in: Add scripts/gen-docuid.c.

	* po/cs.po: Update Czech translation.

2003-02-03  Miloslav Trmac  <mitr@volny.cz>

	* po/cs.po: Update Czech translation.

	* po/ro.po: Added ro translation from
	Marius Andreiana <mandreiana@rdsnet.ro>.

2003-01-22 Dan Mueth <muet@alumni.uchicago.edu>

	This is the 0.3.12 release point.

	(Applying patch which was in 0.3.11 but somehow didn't get committed
	 to CVS.)
        * cl/templates/scrollkeeper_cl.xml.in:
                Updated to have GNOME categories in it from the Panel, thanks
                to patch from Sander Vesik <Sander.Vesik@sun.com>

2003-01-22 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Bumping to version 0.3.12.

2003-01-22 Dan Mueth <muet@alumni.uchicago.edu>

	* scrollkeeper.spec.in: Fix duplication of *.mo files and 
	  added removal of .../var files at end of build to satisfy 
	  rpm >= 4.1

2003-01-22 Dan Mueth <muet@alumni.uchicago.edu>

	* po/de.po: Updated German translations from Christian 
	  Neumair <chris@gnome-de.org>
	* po/da.po: Updated Danish translations from Ole 
	  Laursen <olau@hardworking.dk>
	* po/nl.po: Updated Dutch translations from Tino Meinen 
	  <a.t.meinen@chello.nl>
	* po/es.po: Updated Spanish translations from Pablo Gonzalo 
	  del Campo <pablodc@bigfoot.com>

2003-01-20 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing version to 0.3.12beta for a test release.

2003-01-20 Dan Mueth <muet@alumni.uchicago.edu>

	* po/de.po: Updated German translation from Christian Neumair 
	  <chris@gnome-de.org> 
	* po/sv.po: Updated Swedish translation from Christian 
	  Rose <menthos@menthos.com>
	* po/zh_CN.po: New simplified Chinese translation by Zipeco 
	  <Zipeco@btamail.net.cn>.
	* configure.in: Added new 'zh_CN' locale.
	* cl/templates/Makefile.am: Added new 'zh_CN' locale.
	* po/fr.po: Updated French translation by Christophe Merlet (RedFox) 
	  <redfox@redfoxcenter.org>

2003-01-20 Dan Mueth <muet@alumni.uchicago.edu>

	* po/it.po: Updated Italian translation from Alessio 
	  Frusciante <algol@firenze.linux.it>
	* extract/stylesheets/toc.xsl: Patch from Guido Draheim 
	  <guidod-2002-@gmx.de> to allow for <refentry> parts.
	* po/da.po: Updated Danish translations by Ole Laursen 
	  <olau@hardworking.dk>
	* po/sk.po: Update Slovak translations by Stanislav Visnovsky 
	  <visnovsky@nenya.ms.mff.cuni.cz>
	* po/es.po: Updated Spanish translations by Pablo Gonzalo del 
	  Campo <pablodc@bigfoot.com>
	* po/ru.po: Updated Russian translations by Dmitry 
	  Mastrukov <dmitry@taurussoft.org>
	* po/be.po: New Belarusian translations by Vital Khilko 
	  <dojlid@mova.org>
	* configure.in: Added new 'be' locale.
	* cl/templates/Makefile.am: Added new 'be' locale.
	* po/ca.po: Updated Catalan translations by Jordi Mallach 
	  <jordi@sindominio.net>

2002-12-30  Miloslav Trmac  <mitr@volny.cz>

	* cl/templates/Makefile.am: Added cs and ro to TRANSLATED_LOCALES

2002-12-21  Miloslav Trmac  <mitr@volny.cz>

	* po/ro.po: Added ro translation from
	Marius Andreiana <mandreiana@rdsnet.ro>.
	* configure.in: Added ro to ALL_LINGUAS

2002-12-17  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added cs (Czech) to ALL_LINGUAS
	* po/cs.po: Added Czech translation

2002-12-07 Dan Mueth <muet@alumni.uchicago.edu>

	* scrollkeeper.spec.in: Adding an ldconfig for %postun

2002-12-07 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Added some more items.

2002-10-06  Malcolm Tredinnick <malcolm@commsecure.com.au>
	
	* scrollkeeper.spec.in: s/Copyright/License/

	* .cvsignore: Ignore some more rubbish.

2002-09-22  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* po/POTFILES.in: Added a couple of files with translatable
	strings noticed by Kjartan Maraas <kmaraas@online.no>.

	* po/no.po: New Norwegian (bokmål) translation thanks to Kjartan
	Maraas.

	* po/nb.po: Removed. It was a duplicate of no.po.

	* po/stamp-cat-id, po/cat-id-tbl.c: Removed. These should not be
	in CVS.

	* configure.in: Removed nb from ALL_LINGUAS.

	* cl/src/update.c: Applied patch from Owen Taylor
	<otaylor@redhat.com> to make scrollkeeper-update a bit quieter
	in non-verbose mode. Useful for packaging tools (bug #574338).

	* libs/extract.c, cl/src/get-cl.c: Applied patch from Alexander
	Larsson <alexl@redhat.com> to fix the recent symlink-following
	security problem.

	* libs/.cvsignore, cl/src/.cvsignore, scripts/.cvsignore,
	man/man?/.cvsignore, buildtools/.cvsignore, config/.cvsignore,
	cv/templates/.cvsignore, extract/.cvsignore,
	extract/dtds/.cvsignore, extract/src/.cvsignore,
	extract/stylesheets/.cvsignore,
	writing_scrollkeeper_omf_files/.cvsignore,
	writing_scrollkeeper_omf_files/C/.cvsignore, libuuid/.cvsignore,
	po/.cvsignore:
	Ignore a truckload of generated files. Some of these files are
	new, others have been updated.

2002-09-09  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libs/i18n.c: Fallback through a range of possible locales if
	the first choice is not found.

	* man/man8/scrollkeeper-update.8: Fix a typo.

	* Makefile.am, extract/dtds/Makefile.am, doc/omf.make:
	Apply patch from Marcus Meissner (SuSE) to move comments outside
	of command sections and fix problem with newer automakes (bug
	#573006).

	* cl/src/Makefile.am, cl/src/update.c: Respect the setting of
	sysconfdir when reading the configuration file.

	* libs/Makefile.am, libs/extract.c: Respect the setting of
	statedir when creating temporary files.

	* TODO: Removed a couple of items that have now been done.

2002-08-04 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: added other sort of locale fallback

2002-08-04 Dan Mueth <muet@alumni.uchicago.edu>

	* po/ru.po: Updated version by Dmitry G. Mastrukov
			<dmitry@taurussoft.org>

2002-07-09 Dan Mueth <muet@alumni.uchicago.edu>

	* po/sk.po: Updated version, by Stanislav Visnovsky  
                    <visnovsky@nenya.ms.mff.cuni.cz>
	* configure.in: Changing version to 0.3.11beta

2002-06-19 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing to version 0.3.10 for release.

2002-06-19 Dan Mueth <muet@alumni.uchicago.edu>

	Updating some po files, and adding a new one (vi.po).  Thanks to
	the translators!

	* configure.in: Adding vi locale and bumping version to 0.3.10beta2
	* po/ru.po: update
	* po/sl.po: update
	* po/pl.po: update
	* po/it.po: update
	* po/nb.po: update
	* po/vi.po: new
	* cl/templates/Makefile.am: Adding vi to list

2002-06-19 Dan Mueth <muet@alumni.uchicago.edu>

	Removing superfluous comma, noticed by Joe Marcus 
	Clarke <marcus@FreeBSD.org>

	* cl/templates/Makefile.am:

2002-06-19 Dan Mueth <muet@alumni.uchicago.edu>

	Adding patch from Joe Marcus Clarke <marcus@FreeBSD.org> to
	fix a bus error on some versions of FreeBSD:

	* buildtools/separate.c:

2002-06-12 Dan Mueth <muet@alumni.uchicago.edu>

	Adding update Catalan po file, sent in by Jordi Mallach
	<jordi@sindominio.net>.

	* po/ca.po:

2002-06-12 Dan Mueth <muet@alumni.uchicago.edu>

	* extract/stylesheets/toc.xsl: Adding a patch from Sander
	  Vesik <Sander.Vesik@Sun.COM> which adds support for <part>
	  DocBook element.  In his words:
          ----------------------------------------------------------------------
	  This patch for extract/stylesheets/toc.xsl does two things:
	  * adds support for <part> so that structure of documents
            marked up as a book consisting of parts is preserved
	  * adds support for the wrapped chapters of the user guide so
            they get correct TOC-s 
          the second use (and the need for it) will hopefully go away soon after
          gnome 2.0.0 when a better solution is found.
          ----------------------------------------------------------------------

2002-06-05 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Adding a few things and removing obsolete items

2002-06-04 Dan Mueth <muet@alumni.uchicago.edu>

	* Makefile.am: Adding binary install path to PATH so that the
	               newly installed binaries are used instead of any that may
	               already be installed.  This is particularly important
	               for users who are installing a version on a system
	               which already has an installation, but the second
	               install does't erase the first one.  (Eg. a user
	               installing it in their home directory, or a developer
	               installing it in a development path.) 

2002-06-01 Dan Mueth <muet@alumni.uchicago.edu>

	* libs/database.c: Remove an unused variable. Fix how path[] is initialized.

2002-06-01 Dan Mueth <muet@alumni.uchicago.edu>

	Having scrollkeeper-preinstall just copy the OMF file if it
	can't update the URL.  This way at least packages will be built
	on systems like BSD, even though some OMF files may not register.

	* cl/src/preinstall.c:	

	* configure.in: Bumping version to 0.3.10beta1

2002-06-01 Dan Mueth <muet@alumni.uchicago.edu>

	- Making 0.3.9 release -

2002-06-01 Dan Mueth <muet@alumni.uchicago.edu>

	Fixing bug which shows up when somebody declares the DOCTYPE,
	which was caused by assuming doc->children is always the root
	element instead of using xmlDocGetRootElement:

	* po/POTFILES.in:  Adding libs/update-url.c
	* libs/update-url.c:  Adding error messages, comments, call 
	                      to xmlDocGetRootElement, and gettext/libintl.h

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Bumping version to 0.3.9.

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

	Now that we have a DTD which is installed and properly registered
	in the XML catalog, we should use it:

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.omf:
	  Adding the proper DTD declaration.
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Updating example OMF files and instructions for validating OMF files
	  on the command line.

	Posted the DTD at: 
http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd

	Note that we can now validate a document using:
		 xmllint --noout --valid foo.omf

	* TODO: Removing this task from the TODO file.

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

	* INSTALL: Adding more info about DocBook requirements and a couple
	  commands one can use to test whether their DocBook setup is
	  sufficient.

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>
	
	* TODO: Removing todo item for supporting comment tags everywhere 
	  properly.  It looks like it works fine now.
	* configure.in: Bumping version to 0.3.9beta1.
	* cl/src/update.c: Increasing threshold for sending messages about
	  OMF directory warnings (eg. a directory in /etc/scrollkeeper.conf doesn't
	  exist) to verbose, so we don't always see these warnings.

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>
	
	* TODO: Adding todo item for supporting comment tags everywhere properly.

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

	Patch from "J.H.M. Dassen (Ray)" <dm@zensunni.demon.nl> via
	Debian bug tracker and Christian Marillat <marillat@free.fr>.

	"This makes the install() function skip comment nodes while looking for 
	<OMF> elements.

	It may well be that there are other places where (lib)scrollkeeper's code
	needs refinement to deal with comment nodes the right way. Also, the
	install() function really should be rewritten to not have code paths along
	which it fails without providing a clue for debugging."

	* libs/install.c:

	(I think I committed part of this patch along with Jordi's patch below.

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

	Adding update Catalan po file, sent in by Jordi Mallach
	<jordi@sindominio.net>.

	* po/ca.po:

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

	Fixing bug 559635, which is a string typo.  Thanks to 
	Jordi Mallach (jordi).

	* libs/install.c:

2002-05-27 Dan Mueth <muet@alumni.uchicago.edu>

        Changing "return;" to "return 0;".  Thanks to Eloy A. Paris
        <peloy@chapus.net> for pointing out how this causes a failure
        on SPARC and to Christian Marillat <marillat@free.fr> for posting
        the report on scrollkeeper-devel.  Debian Bug #146989.

        * libs/database.c:

2002-05-14 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Change example doc to include and explain the encoding declaration.

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.omf:
	  Change to include the encoding declaration.

2002-05-13 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Fixing doc so it validates properly.  Also removing reference to the
	  feature that you can specify categories for non-C docs in C, since
	  it hasn't been implemented yet.

2002-05-05 Dan Mueth <muet@alumni.uchicago.edu>

	* libs/Makefile.am: Linking libraries against libxslt: Bug #549090

2002-05-05 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.omf:
	  Fix small typo.

2002-05-05 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Fixing another typo submitted in bug 552675.

2002-05-05 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Fixed "id" error in the example XML OMF blurb, which should have been
	  "identifier", as pointed out by John Fleck.

2002-04-23 Dan Mueth <muet@alumni.uchicago.edu>

	* libs/scrollkeeper.h.in: Adding #include for types.h which is needed
	  to build on Solaris.

2002-04-20 Dan Mueth <muet@alumni.uchicago.edu>

	* INSTALL: Fixing typo

2002-04-20 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing to version 0.3.8 for release.

2002-04-20 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Adding parameter to set paths to search for OMF files.
	  Adding config/scrollkeeper.conf to AC_OUTPUT. Changing to 0.3.8beta2.
	* config/Makefile.am: Updating for .in file.
	* config/scrollkeeper.conf: -removing-
	* config/scrollkeeper.conf.in: -adding-
	* INSTALL: Added information about customizing the default OMF file search
	  path at configure time.

2002-04-20 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: new entry

2002-04-19 Dan Mueth <muet@alumni.uchicago.edu>

	* libs/install.c: Updating to work with category as an attribute of
	  subject instead of as a child.
	* configure.in: Changing to version 0.3.8beta1
	* extract/dtds/scrollkeeper-omf.dtd: Fixing bug where the 'subject'
	  element was not repeatable.
	* TODO: new entry

2002-04-16 Dan Mueth <muet@alumni.uchicago.edu>

	* scripts/scrollkeeper-rebuilddb.in: Fixing bug 544912 -- eep!
	  That bug caused / to be deleted if scrollkeeper-config was not
	  in one's path =O
	* scrollkeeper.spec.in: Adding "|| true" on scrollkeeper-rebuilddb call
	  since scrollkeeper-rebuilddb now returns 1 if it fails.

2002-04-16 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing to version 0.3.7.

2002-04-11 Dan Mueth <muet@alumni.uchicago.edu>

	Adding a stylesheet to output an HTML file listing the ScrollKeeper
	categories:

	* extract/stylesheets/categories.xsl: Adding this stylesheet.
	* extract/stylesheets/Makefile.am: Listing the stylesheet

	* TODO: updated
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Updating doc to mention this stylesheet and how to use it.

2002-04-11 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Some udpates

2002-04-10 Dan Mueth <muet@alumni.uchicago.edu>

	Fixing bug #542030, where ScrollKeeper cannot create the database
        directory if the parent directory is missing:

	* libs/database.c: Adding and using new functions - sk_mkdir and
	  sk_mkdir_with_parents - which create the parent directories, do
          some error checking, and does some logging and error reporting.
	* cl/src/update.c: Updating to read returned value from 
	  create_database_directory, report any problem, and exit gracefully
          in case of error. 
	* cl/src/scrollkeeper-install.c: Updating to read returned value from 
	  create_database_directory, report any problem, and exit gracefully
          in case of error. 
	
	Adding outputprefs to create_database_directory:

	* cl/src/scrollkeeper-install.c: 
	* cl/src/update.c: 
	* libs/scrollkeeper.h.in:	
	* po/POTFILES.in: Adding libs/database.c since it now has error messages

	* configure.in: Changing to version 0.3.7beta6.

2002-04-10 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/omf.make: small fix to bring it closer to having 'make distcheck'
	  pass.  Still needs a change or two.

2002-04-10 Dan Mueth <muet@alumni.uchicago.edu>

	* extract/dtds/scrollkeeper-omf.dtd: Updating this file from 
	  Eric Baudais <baudais@okstate.edu>.  
	* extract/dtds/scrollkeeper-cl.dtd: Adding this file from 
	  Eric Baudais <baudais@okstate.edu>.  It is the DTD for the contents
	  list file.
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.omf:
	  Updating to match the new DTD.
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Updating to match the new DTD.
	* configure.in: Changing to version 0.3.7beta5.

2002-04-08 Dan Mueth <muet@alumni.uchicago.edu>

	Fixing warning and error output from validation of OMF files.  They
	are never sent to the log file.  The are only sent to STDOUT if
	-v is passed (ie. in verbose mode).  The log file does get a message
	indicating that validation failed, but doesn't get the detailed
	messages about how it failed.

	* libs/scrollkeeper.h.in: Fixing reversal of definitions for
	  SKOUT_VERBOSE and SKOUT_DEFAULT.
	* libs/error.c: Adding new function, sk_dtd_validation_message(),
	  to handle messages passed from libxml during validation of OMF files
	  against the DTD.
	* libs/install.c: Calling sk_dtd_validation_message() for error messages
	  during validation.

2002-04-07 Dan Mueth <muet@alumni.uchicago.edu>

	Improving error and log messages, and having OMF files validated against
	ScrollKeeper-OMF DTD.  

        Note that we still need to make sure the DTD validation error messages 
        don't get spewed to screen during RPM install, I believe by modifying
	cvp.* for xmlValidateDTD.

	* libs/install.c: Improving message strings.  Having it check
	  that each OMF file is valid against the DTD before parsing the OMF file.
	* cl/src/scrollkeeper-install.c: Improving messages.
	* cl/src/update.c: Improving messages.
	* configure.in: Changing to version 0.3.7beta4.
	* scrollkeeper.h.in: Defining DTD path.
	* TODO: updates

	Adding files I forgot to 'cvs add' last commit:
	* extract/dtds:
	* extract/dtds/Makefile.am:
	* extract/dtds/scrollkeeper-omf.dtd:

2002-04-07 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Adding items w/r/t OMF DTD
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.omf:
	  Fixing to use version.id instead of version.identifier.
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	  Fixing to use version.id instead of version.identifier.
	* extract/dtds: Created this directory to hold any DTDs we have.
	* extract/dtds/scrollkeeper-omf.dtd: Adding this file from 
	  Eric Baudais <baudais@okstate.edu>.  It is the OMF DTD with a few
	  ScrollKeeper-specific variations.  Eventually we will feed these
	  upstream.
	* extract/Makefile.am: Adding 'dtds' to SUBDIRS
	* configure.in: Adding 'dtds' dir to AC_OUTPUT
	* extract/dtds/Makefile.am: Adding.  It registers and unregisters the DTD
	  with the XML catalog.
	* scrollkeeper.spec.in: Adding the dtd directory to %files, and post/postun
	  installation scripts for registering it with XML catalog.

2002-04-03 Dan Mueth <muet@alumni.uchicago.edu>

	* toc/src/toc-extract.c: Applied patch from the RHAD labs folks
	  at Red Hat which is supposed to avoid a crash.
	* scrollkeeper.spec.in: Applying changes from RHAD labs folks at
	  Red Hat.
	* TODO: Added a new problem to fix
	* configure.in:
		   Changing to version 0.3.7beta3.

2002-04-03 Dan Mueth <muet@alumni.uchicago.edu>

	* libs/Makefile.am: Patch from Christian to link against libxml2
			    (Bug 538009)
	* INSTALL: Added a blurb about people with build problems.
		   Changed to require libxml2 >= 2.4.19 to fix the problem
		   with commas inserted into tags.
	* configure.in:
		   Changed to require libxml2 >= 2.4.19 to fix the problem
		   with commas inserted into tags.
		   Changing to version 0.3.7beta2.
	* TODO: Removing completed items.

2002-03-27 Dan Mueth <muet@alumni.uchicago.edu>

	* cl/templates/Makefile.am: Adding that there are translations for
	  no, pl, uk, and zh_TW.  Also adding -f to the rm flag in 'clean'.

	* buildtools/separate.c: Changing sk_warning()'s to printf()'s since
	  these are functions (and thus error messages) that only are used
	  during a build and should not (and cannot) be logged. Added 
	  a number of printf's to give useful progress information and
	  did some other minor things, mostly with error handling.

	* configure.in: Changing to version 0.3.7beta1.

2002-03-20 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing to version 0.3.6 for release.

2002-03-20 Dan Mueth <muet@alumni.uchicago.edu>

	Migrating from old omf-install method of installing OMF files to
	the newer method from scrollkeeper-example2.  This is a simpler
	system and the newer build files are much cleaner.

	* Makefile.am: Removing omf-install.  Adding dist-hook.  A couple
	  other small changes. Moving special install and uninstall
	  tasks into this file, from omf-install.
	* doc/omf.make: Adding this file from scrollkeeper-example2.
	  Made substantial modifications for scrollkeeper package since
	  it is special.
	* doc/xmldocs.make: Adding this file from scrollkeeper-example2.
	* doc/Makefile.am: Update EXTRA_DIST
	* doc/writing_scrollkeeper_omf_files/C/Makefile.am: minor updates for
	  new doc build system

2002-03-20 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Adding nice comments and reorganizing to pretty it up
	* TODO: Added an item.  Removed some things that have been done or
	  else are obsolete.

2002-03-20 Dan Mueth <muet@alumni.uchicago.edu>

	* toc/src/toc.h: Applying patch from Daniel Veillard <veillard@redhat.com>
	  which includes the libxml/ path in the #include lines for libxml
	  header files.

2002-03-16 Dan Mueth <muet@alumni.uchicago.edu>

	Adding the current draft of the specifications for 0.3.x/0.4.x to CVS.
	Note that it is not up-to-date.

	* /doc/scrollkeeper_devel_docs/scrollkeeper-0.4: Adding this directory
	* /doc/scrollkeeper_devel_docs/scrollkeeper-0.4/scrollkeeper_0.4_specs_draft.txt:

2002-03-16 Dan Mueth <muet@alumni.uchicago.edu>

	Deprecating and removing scrollkeeper_toc from build. It was the
        original code for SGML docs only.  Now we use stylesheets, and
        SGML support has been temporarily been removed.  This program
        appears to have busted at some point (changes in libxml?) BTW.

	* configure.in: Removing toc/ stuff.
	* Makefile.am: Removing toc/ stuff.
	* toc/README: Marking as deprecated.	
	* po/POTFILES.in: Removing toc/ stuff.

	A couple more small changes:

	* configure.in: Changing version number to 0.3.6beta1.
	* omf-install/Makefile.am: Removing unneeded -r flag from rm.

2002-03-16 Dan Mueth <muet@alumni.uchicago.edu>

	omf-install/Makefile.am: use escape sequence for quotes in echo,
		from Morten Welinder <terra@diku.dk>

	configure.in: Removing "-Werror" at the request of Morten 
		Welinder <terra@diku.dk>

2002-03-16 Dan Mueth <muet@alumni.uchicago.edu>

	scripts/scrollkeeper-get-toc-from-docpath.in: updated error message


	Added small patches from Morten Welinder <terra@diku.dk>, which appear
	to make the shell scripts more portable:

	scripts/scrollkeeper-get-toc-from-docpath.in: quotes around variable
	scripts/scrollkeeper-rebuilddb.in: expr instead of $(())

	Fixed small errors which only show up on some platforms (Solaris?), as
	pointed out by Morten Welinder <terra@diku.dk>:

	libuuid/parse.c: Do explicit variable cast
	libs/extract.c: Move error message into non-Solaris loop where it
		belongs.	

2002-03-16 Dan Mueth <muet@alumni.uchicago.edu>

	Adding updated and new po files:

	* po/sl.po: New po file
	* po/no.po: Updated version
	* po/da.po: Updated version

2002-03-13 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Updating

2002-03-12 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Updating
	* INSTALL: Adding more information about requirements/dependencies
	  and about building.

2002-03-10 Dan Mueth <muet@alumni.uchicago.edu>

	Fixed a duplicated id, pointed out by Kevin Breit:

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:

2002-02-26 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing to version 0.3.5 for unstable developer-only
	                release.
	* man/man8/scrollkeeper-update.8: Adding new -q flag to man page.
	* man/man8/scrollkeeper-rebuilddb.8: Adding new -q flag to man page.

2002-02-26 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Changing URL for DocBook 4.1.2 DTD to the web
	  page I set up a while back: 
	       http://scrollkeeper.sourceforge.net/docbook.shtml
          (bug #515392)

2002-02-26 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Removed requirement for openjade for now, since
	  support for DocBook/SGML has been removed temporarily.
	* scrollkeeper.spec.in: Remove requirement for openjade for now, since
	  support for DocBook/SGML has been removed temporarily.
	* TODO: updates

2002-02-26 Dan Mueth <muet@alumni.uchicago.edu>

	* omf-install/Makefile.am: Adding log messages and quiet flag for
 	  installing, and removal of created files on uninstall.
	* configure.in: version to 0.3.5beta5
	* TODO: minor updates

2002-02-25 Dan Mueth <muet@alumni.uchicago.edu>

	Updating the spec file and database rebuilding to run in quiet mode,
	since nobody wants to see all the output at install time.  (The
	new messaging sends more info to STDOUT by default, so we now use
        the -q flag to make output quiet during installation.) 

	* scrollkeeper.spec.in: Adding -q flag to scrollkeeper-rebuilddb call
	* scripts/scrollkeeper-rebuilddb.in: Adding -q flag and
	  rewriting the option handling.

2002-02-25 Dan Mueth <muet@alumni.uchicago.edu>

	Converting all old error message functions over to new messaging
	function.

	* libs/error.c(sk_message): Fixed position of colon in output.
	* cl/src/update.c: Moving from sk_warning to sk_message.
	* cl/src/scrollkeeper-uninstall.c(usage): Added -v flag.
	* cl/src/scrollkeeper-uninstall.c(main): Added -v flag. Moving from
	  sk_warning to sk_message.
	* cl/src/get-cl.c: Moving from sk_warning to sk_message.
	* cl/src/scrollkeeper-install.c: Moving from sk_warning to sk_message.
	* extract/src/scrollkeeper-extract.c: Moving from sk_warning to sk_message.
	* toc/src/toc.c: Moving from sk_warning to sk_message.
	* libs/uninstall.c: <same>
	* libs/install.c: <same>
	* libs/extract.c: <same>
	* buildtools/separate.c: <same>
	* configure.in: version to 0.3.5beta4

2002-02-24 Dan Mueth <muet@alumni.uchicago.edu>

	Beginning transition to new messaging (to STDOUT and log file)
	system.  The main part is done, although we need to add documentation
	on how this works and move lots of function calls from sk_warning()
	to sk_message().

	* cl/src/update.c(main): Added -v flag.  Converted some parts
	                         from sk_warning() to sk_message().
	* cl/src/update.c(usage): Added -v flag.
	* libs/error.c(sk_message): Added new messaging function, which will
	                            replace the old one.
	* libs/error.c(reconcile_skout_prefs): Used by sk_message.
	* libs/scrollkeeper.h.in: Added variables for messaging.
	* TODO: Small changes

2002-02-20 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
		Added a bunch of indexterms.

	* TODO: Added an item or two
	* configure.in: Bumping version to 0.3.5beta3

2002-02-17 Dan Mueth <muet@alumni.uchicago.edu>

	* configure.in: Bumping version to 0.3.5beta2

	* doc/xmldocs.make: Have it only create the figures/ directory if
	                    there are figures.  (We still should add regex
	                    to strip out white space, and have it no longer
	                    include all png's in figures/.  In fact, we should
	                    just put a Makefile.am in figures/ and have that
	                    handle inclusion of the figures.)

2002-02-17 Dan Mueth <muet@alumni.uchicago.edu>

	Moving Writing ScrollKeeper OMF Files into C directory:

	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files-C.xml:
	* doc/writing_scrollkeeper_omf_files/C/writing_scrollkeeper_omf_files.xml:
	* doc/writing_scrollkeeper_omf_files/C/legal.xml:

	Setting up some build stuff for the doc:

	* doc/writing_scrollkeeper_omf_files/C/Makefile.am:
	* doc/writing_scrollkeeper_omf_files/Makefile.am:
	* configure.in:
	* doc/xmldocs.make: (this still needs some work)
	* Makefile.am:
	* doc/Makefile.am:

	Marking sysconfdir files as %config files:

	* scrollkeeper.spec.in:

	Removing todo item for OMF tutorial.  Adding item for config-time
	SGML disabling:

	* TODO:

2002-02-15 Dan Mueth <muet@alumni.uchicago.edu>

	* AUTHORS: Updated my email address, and added a bit more of what
		I've done lately.

2002-02-15 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/writing_scrollkeeper_omf_files.xml:
		More small fixes and edits.

2002-02-15 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/writing_scrollkeeper_omf_files.xml:
	     Added two more sections.  Various small updates and edits.
             Now I think I'm really done with the first draft. 
             Bumping doc version to 1.0.

2002-02-15 Dan Mueth <muet@alumni.uchicago.edu>

	* doc/writing_scrollkeeper_omf_files/writing_scrollkeeper_omf_files.xml:
	     Finished up first draft.

2002-02-14 Dan Mueth <muet@alumni.uchicago.edu>

	Wrote most of a document on writing OMF files.  Still has a couple
	more sections to go, and then integration into the package.

	* doc/writing_scrollkeeper_omf_files/legal.xml:
	* doc/writing_scrollkeeper_omf_files/writing_scrollkeeper_omf_files.xml:
	* doc/writing_scrollkeeper_omf_files/: Added this directory
	* TODO: Small additions

2002-02-10 Dan Mueth <muet@alumni.uchicago.edu>

	Adding another parameter to sk_warning() to take the function/command
	name.  This way the log file will keep accurate details of where the
	errors are coming from, although the command line doesn't do so in many
	cases since the user knows which command was being used.

	* buildtools/separate.c:
	* libs/extract.c: 
	* libs/uninstall.c: 
	* libs/install.c: 
	* libs/error.c: 
	* libs/scrollkeeper.h.in: 
	* cl/src/get-cl.c
	* cl/src/scrollkeeper-install.c
	* cl/src/scrollkeeper-uninstall.c
	* cl/src/update.c
	* extract/src/scrollkeeper-extract.c:
	* toc/src/toc.c

2002-02-10 Dan Mueth <muet@alumni.uchicago.edu>

	Adding a logging/warning message for not well-formed docs and various
	other error cases.
	* libs/extract.c: 
	* libs/install.c: 
	* libs/scrollkeeper.h.in: 
	* extract/src/scrollkeeper-extract.c:

	* configure.in: Changing to version 0.3.5beta1 for development.

	* libs/error.c: Adding error reporting for problems accessing log
	                file.  Also, in verbose mode now it prints error
	                to STDOUT before trying to access log file, in case
	                it fails.

2002-02-10 Dan Mueth <muet@alumni.uchicago.edu>

	* TODO: Adding a couple items

2002-02-08 Dan Mueth <d-mueth@uchicago.edu>

	* scrollkeeper.spec.in: Small fixes from Paul Heinlein 
          <heinlein@measurecast.com>

2002-01-24 Dan Mueth <d-mueth@uchicago.edu>

	* configure.in: Changing to version 0.3.4 for unstable developer-only
	                release.
	* TODO: Adding that we need to do the catalog checking for XML docs
	        as well.

2002-01-24 Dan Mueth <d-mueth@uchicago.edu>

	* libs/install.c: Taking out support for index and TOC extraction for SGML
	                  documents for now since it relies on the catalogs being
	                  installed correctly, which typically is not the case.
	                  We should put this back later and do proper error case
	                  checking to avoid spews.
	* configure.in: Changing to version 0.3.4beta
	* TODO: Removed item I fixed and added "feature" of replacing SGML support
	        with proper error checking.

2002-01-16 Dan Mueth <d-mueth@uchicago.edu>

	* README: Added a description of the RPM problem for upgrades from version
	          0.2 to 0.3.1.
	* man/man7/scrollkeeper.7: Added Files section.

2002-01-16 Dan Mueth <d-mueth@uchicago.edu>

	* configure.in: Promoting to developer-only release version 0.3.3.  Version
	                0.3.2 never quite made it off the ground.
	* libs/extract.c: Changing the system identifier from a local file
	                  path to the oasis-open.org URL.
	* TODO: Removing this item from the list.

2002-01-16 Dan Mueth <d-mueth@uchicago.edu>

	* scrollkeeper.spec.in:
		- Adding logging lines
		- Changing to use scrollkeeper-rebuilddb after installation
		- Only having logs and database removed in %postun if it is
		  not an upgrade
		... Note: From SK 0.2 to 0.3.1, we had a badly written %postun 
                          which blows away the rebuilt database after an upgrade :(
	* TODO: Added a couple more things to fix

2002-01-15 Dan Mueth <d-mueth@uchicago.edu>

	* configure.in: Promoting to developer-only release version 0.3.2
	* TODO: Adding a task

2002-01-15 Dan Mueth <d-mueth@uchicago.edu>

	* configure.in: 
		- Removing doc/* from AC_OUTPUT for now, until I get a chance
		  to update the documentation. This caused a breakage of 0.3.1
		  tarballs.
		- Changed test for docbook-dtd412-xml to use xmlcatalog.
		- Updated the intltool-extract blurb and added URL for source.
	* TODO: Removed completed tasks.

2002-01-13 Dan Mueth <d-mueth@uchicago.edu>

	* scrollkeeper.spec.in: Adding BuildRequires for libxml2-devel
	* configure.in: Changing error note about xml2-config and libxml2 to
          state that the libxml2-devel package is also needed. (xml2-config
          is actually part of libxml2-devel, not libxml2, on some systems
	  such as Red Hat.)
	  Also changing version number to 0.3.2beta.
	* TODO: added some more details and items.

2002-01-13 Dan Mueth <d-mueth@uchicago.edu>

	* configure.in: Promoting to developer-only release version 0.3.1
	* Makefile.am: Including TODO file in EXTRA_DIST
	* TODO: a number of updates with more bugs, features, and details.

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

	* TODO: small updates

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

	* Makefile.am: removing the docs/ directory from the build until we
	  get the manual updated and converted to XML.
	* TODO: small update

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

	Finishing the migration from xml-i18n-tool to intltool, getting rid
	of xml-i18n-toolize. Small tweeks to these files: 

	* autogen.sh: 
	* configure.in:
	* Makefile.am:
	* cl/templates/Makefile.am

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

        * scripts/scrollkeeper-rebuilddb.in: Adding logging lines.
	* cl/src/scrollkeeper-install.c: Added logging line.
	* cl/src/scrollkeeper-uninstall.c: Added logging line.
	* cl/src/update.c: Adding a few logging lines.
	* TODO: Updated, removing a couple things I've done and adding one or
	  two new tasks.

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

	* libs/scrollkeeper.h.in: Defining the log file name here, so that it will
	  track @localstatedir@.
	* configure.in: Having libs/scrollkeeper.h be built.
	* libs/error.c: Switching to use the log file which tracks @localstatedir@
	  and adding a time stamp to each log entry.
	* libs/scrollkeeper.h: Removing this file since autoconf generates it
	  now.
	* scrollkeeper.spec.in: Updating %postun to track the log file name.

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

	* configure.in: Adding new po's to ALL_LINGUAS, as I forgot to on the last
	  commit.
	* TODO: Minor updates
	* README: Minor updates
	* INSTALL: Minor updates
	* scrollkeeper.spec.in: Adding a %postun line to remove the log file.

2002-01-12 Dan Mueth <d-mueth@uchicago.edu>

	* TODO: Minor updates
	* scrollkeeper-spec.txt: Added more info on logging and OMF_DIR, and
	  and made a few minor changes.
	* po/az.po: Added
	* po/pl.po: Added
	* po/zh_TW.po: Added
	* po/ca.po: Updated
	* po/da.po: Updated
	* po/de.po: Updated
	* po/sv.po: Updated
	* po/sk.po: Updated 

2002-01-05 Dan Mueth <d-mueth@uchicago.edu>

	* TODO: Adding this file, so people can easily find things to work
	  for generally keeping track of tasks.

2002-01-05 Dan Mueth <d-mueth@uchicago.edu>

	Updating to build with intltool instead of xml-i18n-tool.  I still
	have it using xml-i18n-toolize instead of intltoolize, so we'll
	need to migrate this part over at some point.

	* configure.in
	* scrollkeeper.spec.in

2001-12-05 Dan Mueth <d-mueth@uchicago.edu>

	Promoting to version 0.3.1beta, since we just released 0.3.0.
	* configure.in

	Adding man page for scrollkeeper.conf.
	* configure.in
	* scrollkeeper.spec.in
	* man/man5/scrollkeeper.conf.5
	* man/man5/Makefile.am
	* man/Makefile.am

	Updating older man pages to refer to scrollkeeper.conf, have my
	current email address, and bump up modification date:
	* man/man1/Makefile.am
	* man/man1/scrollkeeper-config.1
	* man/man1/scrollkeeper-gen-seriesid.1
	* man/man7/Makefile.am
	* man/man7/scrollkeeper.7
	* man/man8/Makefile.am
	* man/man8/scrollkeeper-preinstall.8
	* man/man8/scrollkeeper-rebuilddb.8
	* man/man8/scrollkeeper-update.8

2001-12-01 Dan Mueth <d-mueth@uchicago.edu>

	A couple small changes to get RPM's building again, after the 
	scrollkeeper.conf file was added.

	* scrollkeeper.spec.in: Added sysconfdir to files
	* config/Makefile.am: Changing to use sysconfdir

2001-08-09 Mary Dwyer <mary.dwyer@sun.com>
	* extract/stylesheets/index.xsl: Mary's new
	changed checked in

2001-07-15 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* config/scrollkeeper.conf: default value corrected
	* cl/src/update.c: omf directories can be specified
	through /etc/scrollkeeper.conf also

2001-07-15 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in, Makefile.am, config/*: config file added

2001-07-14 Frederic Devernay <Frederic.Devernay@sophia.inria.fr>
	(reviewed by Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in: AC_PROG_CC and AC_PROG_CPP moved 
	before AC_ISC_POSIX
	* cl/src/get-cl.c, cl/src/preinstall.c, 
	cl/src/scrollkeeper-install.c, cl/src/scrollkeeper-uninstall.c:
	buildtools/separate.c, libs/extract.c, libs/install.c,
	libs/merge.c, libs/uninstall.c, libs/update-url.c,
	libs/scrollkeeper.h: 
	* extract/stylesheets/Makefile.am simplified

2001-06-27 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/preinstall.c, libs/update-url.c: url update 
	code moved to libs/update-url.c
	* libs/Makefile.am: update-url.c added
	* libs/scrollkeeper.h: update_doc_url_in_omf_file() added

2001-06-26 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/update.c: install() and uninstall() from
	library used for database updates

2001-06-26 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/scrollkeeper.h, libs/scrollkeeper-private.h,
	libs/Makefile.am, all .c files:  scrollkeeper.h and 
	scrollkeeper-private.h unified

2001-06-25 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/Makefile.am: uninstall.c added,
	libs/uninstall.c: added
	libs/scrollkeeper-private.h: function prototype added
	* cl/src/scrollkeeper-uninstall.c: added, uninstall code
	moved to library
	cl/src/Makefile.am: uninstall.c renamed to 
	scrollkeeper-uninstall.c
	po/POTFILES.in: two files renamed, two files added

2001-06-25 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/install.c, libs/database.c: added
	libs,Makefile.am: install.c, database.c added
	libs/scrollkeeper-private.h: some routine prototypes
	added
	* cl/src/scrollkeeper-install.c: added, install code moved
	to the library
	* cl/src/Makefile.am: install.c renamed to scrollkeeper-install.c

2001-06-20 Laszlo Kovacs  <laszlo.kovacs@sun.com>
	* cl/src/update.c, cl/src/update.c,
	cl/src/uninstall.c:
	more security fixes

2001-06-19 Laszlo Kovacs  <laszlo.kovacs@sun.com>
	* cl/src/install.c, cl/src/get-cl.c,
	cl/src/uninstall.c, cl/src/update.c,
	libs/extract.c: 
	sprintf() calls replaced with snprintf()

2001-06-19 Mary Dwyer <mary.dwyer@sun.com>
	* cl/src/uninstall.c
	  Fix for bug 430496: sk-install doesn't remove index file
        * cl/src/uninstall.c cl/src/install.c cl/src/preinstall.c
          Corrected error in Usage message
        * extract/stylesheets/index.xsl
          Fixed error in key definitions.

2001-06-18  Laszlo Kovacs  <laszlo.kovacs@sun.com>
	* libs/file.c, libs/scrollkeeper-private.h: 
	copy_file() added
	* cl/src/install.c:
	copy_file() replaces system cp calls

2001-06-18  Laszlo Kovacs  <laszlo.kovacs@sun.com>
	* cl/src/get-cl.c, cl/src/install.c, cl/src/uninstall.c,
	cl/src/update.c, extract/src/scrollkeeper-separate.c: 
	umask() calls added
	* libs/extract.c: removed encoding detection hack as encoding
	detection through custom sgml declaration has been added
	to libxml2

2001-06-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/install.c, cl/src/update.c, 
	buildtools/separate.c: mkdir commands changed to mkdir() calls

2001-06-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* extract/src/Makefile.am: scrollkeeper-extract installed
	(previous change was a mistake)
	* buildtools/Makefile.am: scrollkeeper-tree-separate not installed
	* cl/src/preisntall.c: failure returned value changed to 1

2001-06-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* extract/src/Makefile.am: scrollkeeper-extract not installed

2001-06-11  Dan Mueth  <dan@eazel.com>

	Fixing name of xml-i18n-tools for configure.in error message.

	* configure.in:

2001-06-07  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/merge.c, buildtools/separate.c,
	cl/src/install.c, cl/src/uninstall.c,
	cl/src/preinstall.c: 
	xmlChar vs char compatibility problems fixed
	* libs/merge.c, cl/src/install.c: docuid renamed to
	docseriesid

2001-06-07  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* buildtools/separate.c: fixing xmlStrcat call problem
	* cl/templates/Makefile.am: fixing library problem
	* libuuid/gen_uuid.c, libuuid/pack.c, libuuid/unpack.c,
	libuuid/uuid_time.c, libuuid/uuidP.h:
	Solaris iconpatibility problems fixed

2001-06-06  Mary Dwyer <mary.dwyer@sun.com>
	(committed by Laszlo Kovacs)
	* extract/stylesheets/index.xsl:
	added latest version of stylesheet

2001-06-06  Dan Mueth  <d-mueth@uchicago.edu>

	Updating man pages to reflect change in name of
	scrollkeeper-gen-docuid -> scrollkeeper-gen-seriesid

	* man/man1/Makefile.am:
	* man/man1/scrollkeeper-config.1:
	* man/man1/scrollkeeper-gen-docuid.1:
	* man/man1/scrollkeeper-gen-seriesid.1:
	* man/man7/scrollkeeper.7:
	* man/man8/scrollkeeper-preinstall.8:
	* man/man8/scrollkeeper-rebuilddb.8:
	* man/man8/scrollkeeper-update.8:

2001-06-06  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* scrollkeeper-spec.txt, scripts/Makefile.am:
	rename scrollkeeper-gen-docuid to
	scrollkeeper-gen-seriesid

2001-06-05  Dan Mueth  <d-mueth@uchicago.edu>

	Updating man pages a bit.  Added a couple new man pages, moved
	a couple to better man sections, and made some minor revisions.

	* configure.in:
	* man/Makefile.am:
	* man/man1/Makefile.am:
	* man/man1/scrollkeeper-config.1:
	* man/man1/scrollkeeper-gen-docuid.1:
	* man/man7/Makefile.am:
	* man/man7/scrollkeeper.7:
	* man/man8/Makefile.am:
	* man/man8/scrollkeeper-config.8:
	* man/man8/scrollkeeper-preinstall.8:
	* man/man8/scrollkeeper-rebuilddb.8:
	* man/man8/scrollkeeper-update.8:
	* scrollkeeper-spec.txt:
	* scrollkeeper.spec.in:

2001-06-05  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* scrollkeeper-spec.txt: updated with i18n support
	* configure.in: raising version number to 0.3

2001-06-05  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in, scrollkeeper.spec.in:
	dependencies added
	* scrollkeeper-spec.txt, Makefile.am: 
	scrollkeeper-spec.txt (description of Scrollkeeper)
	added

2001-06-01 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/extract.c, libs/Makefile.c: SGML->XML conversion added
	* configure.in: dependencies on docbookx 4.1.2 and 
	opensp added for non-Solaris platforms

2001-05-30 Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/install.c: memory handling problem fixed

2001-05-30 Mary Dwyer <mary.dwyer@sun.com>
	reviewed by Laszlo Kovacs <laszlo.kovacs@sun.com>

        * extract/stylesheets/index.xsl, extract/stylesheets/Makefile.am:
        index stylesheet added
        * cl/src/install.c: create index file 
        * scripts/scrollkeeper-get-index-from-docpath.in, 
          scripts/Makefile.am, configure.in:
          script to find index file added
	* configure.in: scrollkeeper-get-index-from-docpath added

2001-05-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/i18n.c: sk_get_language_list() modified
	* configure.in: check for xml-i18n-tools moved before 
	macro

2001-05-21  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in: libxml2 version 2.3.9 or higher is needed
	* buildtools/separate.c: property removal fixed

2001-05-21  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in: xml-i18n-tools 0.8.4 or higher is required

2001-05-17  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/install.c: implemented relation/seriesid tag

2001-05-16  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* scripts/gen-docuid.c, scripts/Makefile.am:
	unique id generator added
	* libs/i18n.c: locale variable query fixed

2001-05-16  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/templates/Makefile.am: LD_LIBRARY_PATH set correctly
	* scrollkeeper.spec.in: updated according to the latest 
	build structure

2001-05-16  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libuuid/parse.c, libuuid/compare.c: compile
	errors fixed

2001-05-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libuuid, Makefile.am, configure.in: libuuid added

2001-05-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/i18n.c: small bug fixed
	* cl/templates/Makefile.am: new category tree translation procedure 
	added
	* buildtools/separate.c: categorycode attribute added to the right 
	node	
	* configure.in: cl/templates/* Makefiles removed

2001-05-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* po/it.po, po/nb.po: added

2001-05-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* po/*.po: category tree related messages added
	* cl/templates/scrollkeeper_cl.xml.in: generic category tree added
	* cl/templates/Makefile.am: scrollkeeper_cl.xml.in added
	* po/POTFILES.in: cl/templates/scrollkeeper_cl.xml.in added

2001-05-11  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/merge.c: merging starts from the first available 
	language tree
	* libs/i18n.c: C locale added to the end of language
	list if needed in sk_get_language_list()

2001-05-11  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* autogen.sh, configure.in, .cvsignore, Makefile.am:
	xml-i18n-tools stuff added

2001-05-10  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* buildtools/separate.c: unique id generation 
	added by concatenating all the titles down to 
	the current node

2001-05-10  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* buildtools/separate.c: buildtool for tree
	separation added

2001-05-09  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* buildtools/*, Makefile.am, configure.in:
	buildtools subdirectory added, code not complete yet

2001-05-04  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* extract/stylesheets/toc.xsl: toplevel title
	not output

2001-05-03  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in: Scrollkeeper depends on libxml2 version
	2.3.8 or higher rather than libxml2 from CVS head

2001-05-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* extract/stylesheets/toc/xsl: tolevel tag changed to tocsect

2001-05-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/scrollkeeper.h, libs/scrollkeeper-private.h:
	apply_stylesheets() moved from scrollkeeper.h to
	scrollkeeper-private.h
	*libs/extract.c: file type parameter added to apply_stylesheets()	
	* extract/src: file type passed to apply_stylesheets()
	* cl/src/install.c: TOC extraction based on stylesheets added
	* cl/templates/da/scrollkeeper_cl.xml,
	cl/templates/it/scrollkeeper_cl.xml: encoding added

2001-05-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/Makefile.am, toc/src/Makefile.am: XSLT_FLAGS added,
	* libs/Makefile.am: XSLT flags and extract.c added,
	* libs/scrollkeeper.h: tree.h included,
	* libs/extract.c: added,
	* extract/*: added,
	* po/POTFILES.in: extract/src/scrollkeeper-extract.c,
	* Makefile.am: extract added to SUBDIRS
	* configure.in: libxslt dependency and extract module Makefiles added
	

2001-05-01  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* toc/src/toc.c: move to libxml2
	* cl/src/install.c, cl/src/preinstall.c,
	cl/src/uninstall.c: move to libxml2
	* libs/merge.c: move to libxml2
	* configure.in: move to libxml2

2001-05-01  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in: adding ca to ALL_LINGUAS
	* confiugre.in: INTLTOOL macro removed

2001-04-25  Dan Mueth  <dan@eazel.com>

	Adding Catalan translations provided by 
	Pablo Saratxaga <pablo@mandrakesoft.com>.

	* cl/templates/ca/scrollkeeper_cl.xml:
	* po/ca.po:

2001-04-24  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* small bug fixes

2001-04-24  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/i18n.c: sk_get_language_list()fixed
	* libs/merge.c: merge_locale_trees() fixed
	* cl/src/get-cl.c: locale.h included

2001-04-24  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/scrollkeeper.h, libs/merge.c: main
	tree merge routine added
	* libs/file.c: created
	* libs/i18n.c: config.h included
	* libs/Makefile.am: file.c added
	* libs/scrollkeeper-private.h: file handling routines added
	* cl/src/install.c: file handling routines moved to libs/file.c
	* cl/src/get-cl.c: language list based tree merge added

2001-04-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/scrollkeeper.h, libs/merge.c:
	language list parsing added to tree merge

2001-04-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/i18n.c: added
	* libs/scrollkeeper-private.h: sk_get_language_list() added
	* libs/merge.c: memory allocation check added
	* libs/Makefile.am: i18n.c added

2001-04-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/srcollkeeper.h: changed completely as this
	is a new file with an existing file's name
	* libs/merge.c: initial code of tree merging added

2001-04-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/*.c, toc/src/toc.c, libs/error.c:
	scrollkeeper.h renamed to scrollkeeper-private.h
	* libs/scrollkeeper-private.h: added

2001-04-11  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/install.c:
	bug 413022 fixed, xml parsing made more general

2001-04-11  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* bg_BG.cp1251/Makefile.am bg_BG/Makefile.am de_AT/Makefile.am
	en_AU/Makefile.am en_GB/Makefile.am en/Makefile.am
	en_SE/Makefile.am en_UK/Makefile.am en_US/Makefile.am
	es_DO/Makefile.am es_ES/Makefile.am es_GT/Makefile.am
	es_HN/Makefile.am es_MX/Makefile.am es_PA/Makefile.am
	es_PE/Makefile.am es_SV/Makefile.am ja_JP.eucJP/Makefile.am
	no/Makefile.am no_NY/Makefile.am pt_PT/Makefile.am
	sr_YU/Makefile.am sv_SE/Makefile.am zh_CN.GB2312/Makefile.am
	zh_CN/Makefile.am zh_TW.Big5/Makefile.am zh_TW/Makefile.am
	cl/src/install.c:
	symlinks to content list files made relative

2001-04-11  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* po/da.po, cl/templates/da/scrollkeeper_cl.xml:
	updated

2001-04-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/preinstall.c, cl/src/install.c:
	bug 412101 fixed, processing of "file:" prefix
	added to url in metadata files

2001-04-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	po/tr.po: updated

2001-03-29  Dan Mueth  <dan@eazel.com>

	Added draft of ScrollKeeper 0.2 Specifications which
	Laszlo and I have been working on.

	* doc/scrollkeeper_devel_docs/scrollkeeper-0.2/scrollkeeper_0.2_spe
	cs.txt:

2001-03-29  Dan Mueth  <dan@eazel.com>

	Updates to man pages: include -v for one app,
	list files, and put our email addresses.

	* man/man8/scrollkeeper-config.8:
	* man/man8/scrollkeeper-preinstall.8:
	* man/man8/scrollkeeper-rebuilddb.8:
	* man/man8/scrollkeeper-update.8:

2001-03-28  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* Releasing 0.2 from what we have in the CVS
	at this point in time

2001-03-27  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/templates/da/scrollkeeper_cl.xml,
	cl/templates/de/scrollkeeper_cl.xml,
	cl/templates/es/scrollkeeper_cl.xml,
	cl/templates/nb/scrollkeeper_cl.xml:
	encoding added to header

2001-03-27  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* po/ja.po, po/sl.po: created
	* configure.in:
	ja and sl added to ALL_LINGUAS
	* cl/templates/sl/scrollkeeper_cl.xml:
	Slovenian translation added
	* cl/templates/ja/scrollkeeper_cl.xml:
	Japanese translation added
	* cl/templates/ru/scrollkeeper_cl.xml:
	Russian translation added

2001-03-26  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in: nl, uk  and fr added to ALL_LINGUAS
	po/nl.po, po.fr.po, po/uk.po: added
	po/ru.po: updated
	* cl/templates/fr/scrollkeeper_cl.xml:
	French tree added
	* cl/templates/tr/scrollkeeper_cl.xml:
	Turkish tree updated
	* scrollkeeper.spec.in:
	pt_BR symlink related package update problem fixed

2001-03-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* configure.in:
	version number raised to 0.2

2001-03-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/Makefile.am:
	scrollkeeper.h installation removed

2001-03-21  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* po/ru.po: added
	configure.in: Russian added to All_LINGUAS

2001-03-21  Laszlo Kovacs <laszlo.kovacs@sun.com>
	*configure.in, omf-install/Makefile.am,
	scripts/scrollkeeper-config.in,
	scripts/scrollkeeper-get-toc-from-docpath.in,
	scripts/scrollkeeper-get-toc-from-id.in:
	platform dependent database directory setup added
	(at the moment it sets it to 
	$localstatedir/lib/scrollkeeper on Linux and
	$localstatedir/db/scrollkeeper on FreeBSD)

2001-03-19  Laszlo Kovacs <laszlo.kovacs@sun.com>
	*scripts/scrollkeeper-rebuilddb.in:
	-v flag added

2001-03-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/error.c:
	log file size monitoring added to sk_warning()

2001-03-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/Makefile.am, toc/src/Makefile.am:
	libs include dir path fixed
	* scrollkeeper.spec.in:
	/usr/lib/* added

2001-03-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/preinstall.c:
	sk_warning() removed
	* cl/src/*.c (apart form preinstall.c):
	verbose flag implemented

2001-03-14  Laszlo Kovacs <laslzo.kovacs@sun.com>
	* toc/src/Makefile.am:
	libscrollkeeper added
	* toc/src/toc.c:
	sk_warning() used to display messages

2001-03-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs/scrollkeeper.h, libs/error.c:
	check_ptr() added
	* cl/src/*.c:
	check_ptr() removed and sk_warning() used
	to display messages
	* po/POTFILES.in:
	libs/error.c added

2001-03-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* libs, Makefile.am, configure.in: 
	private low level library created
	* cl/src/Makefile.am:
	libscrollkeeper added
	* cl/src/update.c:
	sk_warning() used for displaying messages

2001-03-14  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/templates/sv/scrollkeeper_cl.xml:
	Swedish translation added
	* cl/templates/pt_BR/scrollkeeper_cl.xml,
	  cl/templates/pt_BR/Makefile.am:
	translated tree added
	* po/pt_BR.po: added
	* configure.in: pt_BR added
	* scrollkeeper.spec.in: pt_BR removed from link
	related cycle

2001-03-13  Laszlo Kovacs <aszlo.kovacs@sun.com>
	* cl/src/update.c:
	fix bug 406982

2001-03-12  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* cl/src/install.c:
	fix for bug 406985

2001-03-09  Dan Mueth  <dan@eazel.com>

	* configure.in: Took out check for C++ since we don't need it.
	Thanks to Karl Eichwalder <ke@suse.de> for pointing this out.

2001-03-05  Dan Mueth  <dan@eazel.com>

	Changing version number to 0.1.4 for release.

	* configure.in:

	Added some %postun to blow away %datadir/scrollkeeper/templates
	since anybody who upgraded from 0.1.1 to 0.1.2 will have
	some crud left in there.

	* scrollkeeper.spec.in:

2001-03-04  Dan Mueth  <dan@eazel.com>

	Commented out warning message which should go to log file
	instead of spew to screen.  It wouldn't be too bad, except
	that these warning happen in the post-install script of
	RPMs or whatever packages, and people really don't like 
	to see warnings like this when they are upgrading or installing 
	packages.

	* cl/src/update.c: (parse_omf_dir):

	Changed version to 1.4test1:

	* configure.in:

2001-03-04  Dan Mueth  <dan@eazel.com>

	Small fix to spec file so that scrollkeeper owns the
	directory %{_datadir}/omf/scrollkeeper

	* scrollkeeper.spec.in:

2001-03-04  Dan Mueth  <dan@eazel.com>

	Moving docs back into $(datadir)/scrollkeeper/doc.  Trying
	to put them with the %doc docs turned out to be a huge
	headache and I don't think RPM was intended to be used this
	way.  It blows away that directory and then recreates it
	as the last step, so the only way to get things in there is
	to use %doc.  %doc seems to only want to yank files out of
	the build directory though, and not the buildroot.  This 
	won't work nicely b/c we build HTML docs from the SGML.  There 
	may be some way around this, but I didn't find it. Plus there
	is the added complexity of RPM moving its %doc directory between
	RH 6.2 and 7.0 to be FHS compliant.

	* doc/sgmldocs.make:
	* scrollkeeper.spec.in:

2001-03-04  Dan Mueth  <dan@eazel.com>

	Fixing bootstrap problem which I forgot about when I updated
	the build stuff for the docs.  Now it uses the locally
	created (but uninstalled) scrollkeeper-preinstall when
	processing the OMF files as it should.

	* doc/sgmldocs.make:

2001-03-04  Dan Mueth  <dan@eazel.com>

	Have OMF files installed under $(datadir)/omf/scrollkeeper
	instead of $(datadir)/omf

	* omf-install/Makefile.am:
	* scrollkeeper.spec.in:

2001-03-04  Dan Mueth  <dan@eazel.com>

	Updating doc build setup to use a template file.  Took the
	Nautilus template file and cleaned it up some more, tried
	to generalize it a bit more, and wrote some comments at
	top.  Setting this up to create a nice example some time
	very soon.

	* doc/Makefile.am:
	* doc/scrollkeeper_manual/C/Makefile.am:
	* doc/sgmldocs.make:

2001-03-04  Dan Mueth  <dan@eazel.com>

	General fixing up:
	  - Corrected Source0 to have the right URL for getting tarballs
	  - Added a patch by Karl Eichwalder <keichwa@users.sourceforge.net>
	    to simplify the linking section
	    (Thanks also to John GOTTS <jgotts@linuxsavvy.com> who supplied
	    a similar patch.)
	  - Have it blow away a pre-existing database even if RPM wasn't
	    previously installed.

	* scrollkeeper.spec.in:

2001-03-04  Dan Mueth <dan@eazel.com>

	Having scrollkeeper-update automatically create the database
	directory if it does not exist.  This helps make things more
	robust against the database not getting created or else
	getting blown away somehow.  Removing the part of 
	scrollkeeper-rebuilddb which bombs out with an error if the
	database directory doesn't exist, since scrollkeeper-update
	will just create it if it is missing.
	Bug#405602

	* cl/src/update.c: (main):
	* scripts/scrollkeeper-rebuilddb.in:

2001-03-04  Dan Mueth <dan@eazel.com>

	* doc/scrollkeeper_manual/C/Makefile.am: Fixing the
	  path under which the SGML doc is actually getting installed.
	  previously the OMF was pointing to the old path of the doc,
	  creating an error message every time the scrollkeeper RPM
	  was installed.

2001-03-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* doc/scrollkeeper-manual/C/scrollkeeper_manual-C.omf
	  category changed so that doc does not get installed
	  with Scrollkeeper as it is incomplete
	* confiugre.in:
	  version number raised to 0.1.3

2001-03-01  Dan Mueth  <dan@eazel.com>

	* po/.cvsignore: Added this file
	* po/scrollkeeper.pot: Removing this file
	* po/sk.po: Updating

2001-03-01  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- configure.in:
	  -W type warnings added to CFLAGS
	- cl/src/*.c, toc/src/toc.h, toc/src/toc.c:
	  warnings because of -W flags fixed
	- CVSVERSION: created

2001-03-01  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- toc/src/toc.c:
	  this is the fix for bug 233249 that I thought 
	  I added, but it looks like I forgot
	  (anchor tag handling)

2001-02-28  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- configure.in: de locale added
	- po/de.po: added
	- po/tr.po: updated with latest translation
	- cl/templates/de/scrollkeeper_cl.xml:
	  German translation added
	cl/templates/tr/scrollkeeper_cl.xml:
	  Turkish translation updated with latest

2001-02-28  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scrollkeeper.spec.in, cl/src/install.c,
	  cl/templates/*/Makefile.am:
	  templates directory names in $datadir
	  changed to Templates to solve problems with rpm
	  upgrade from 0.1.1 to 0.1.2

2001-02-28  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- configure.in, po/ko.po:
	  Korean messages added
	- cl/templates/scrollkeeper_cl.xml:
	  translated Korean tree added

2001-02-26  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scrollkeeper.spec.in:
	  post-install and post-uninstall messages removed
	  no and no_NY added to the link resetting section
	- cl/src/update.c:
	  message about conflicting OMF files removed
	- cl/templates, cl/templates/Makefile.am,
	  configure.in:
	  Norwegian locales (no, nn, nb, no_NY) set up
	  correctly 
	- raised version number to 0.1.2

2001-02-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- release number raised to 0.1.1
	- scripts/scrollkeeper-rebuilddb.in:
	  echo removed

2001-02-23  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- doc/scrollkeeper_manual/C/Makefile.am:
	  doc install location changed
	- doc/scrollkeeper_manual/C/scrollkeeper_manual-C.omf
	  doc url changed
	- Makefile.am:
	  COPYING-DOCS installed
	- scrollkeeper.spec.in:
	  docs installed in RPM

2001-02-20  Laslzo Kovacs <laszlo.kovacs@sun.com>
        - omf-install/Makefile.am,
          scripts/scrollkeeper-config.in,
          scripts/scrollkeeper-get-toc-from-docpath.in,
          scripts/scrollkeeper-get-toc-from-docpath.in,
          scripts/scrollkeeper-get-toc-from-id.in:
          $localstatedir change to /var/lib changed
	  back to /var as it conflicts with RPM creation

2001-02-20  Laslzo Kovacs <laszlo.kovacs@sun.com>
	- configure.in, cl/templates/scrollkeeper_cl.xml,
	  po/no.po:
	  Norwegian translation added

2001-02-20  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scripts/scrollkeeper-get-content-list.in,
	  scripts/scrollkeeper-get-extended-content-list.in:
	  return values fixed

2001-02-20  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- cl/src/get-cl.c:
	  scrollkeeper-get-cl returns 0 if it finds 
	  a category TREE and 1 if it doesnt

2001-02-20  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- toc/src/toc-extract.c:
	  anchor added to the tags to be ignored

2001-02-20  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- cl/src/install.c:
	  bug 132470 fixed, error messages suppressed
	  when DOM trees are created from incorrect
	  TOC files

2001-02-20  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- cl/src/get-cl.c: 
	  locale.h included
	- cl/src/install.c:
	  fixed crash caused by incomplete TOC file

2001-02-20  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- omf-install/Makefile.am,
	  scripts/scrollkeeper-config.in,
	  scripts/scrollkeeper-get-toc-from-docpath.in,
	  scripts/scrollkeeper-get-toc-from-docpath.in,
	  scripts/scrollkeeper-get-toc-from-id.in:
	  $localstatedir is expected to be /var/lib, not /var

2001-02-19  Dan Mueth <dan@eazel.com>

	- Updated: cl/templates/da/scrollkeeper_cl.xml
		From: Kenneth Christiansen <kenneth@gnu.org>
	- Updated: cl/templates/el/scrollkeeper_cl.xml
		From: Simos Xenitellis <simos@hellug.gr>
	- Updated: cl/templates/es/scrollkeeper_cl.xml
		From: Pablo Gonzalo del Campo
	- Updated: cl/templates/hu/scrollkeeper_cl.xml
		From: Emese Kovacs  <emese@gnome.hu>
	- Updated: cl/templates/nl/scrollkeeper_cl.xml
		From: Hannah van Loon <kenneth@gnu.org>
		      (Kenneth's girlfriend)
	- Updated: cl/templates/sk/scrollkeeper_cl.xml
		From: Stanislav Visnovsky <visnovsky@nenya.ms.mff.cuni.cz>
	- Updated: cl/templates/sv/scrollkeeper_cl.xml
		From: Christian Rose <menthos@menthos.com>
	- Updated: cl/templates/tr/scrollkeeper_cl.xml
		From: Fatih Demir <kabalak@gtranslator.org>

2001-02-19  Dan Mueth <dan@eazel.com>

	- Added po files: da.po, el.po, es.po, hu.po, sk.po, tr.po
	- Updated po files: sv.po
	- configure.in: Added po entries

2001-02-19  Dan Mueth <dan@eazel.com>

	- COPYING-DOCS: Added this file.  It still needs to be
	  hooked up to install, both for "make install" as well
	  as possible modification to spec file.
	- scrollkeeper.spec.in: Added COPYING-DOCS as a doc file.
	  I'm not sure if other work must be done in here.

2001-02-19  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- cl/src/get-cl.c,
	  scripts/scrollkeeper-get-content-list.in,
	  scripts/scrollkeeper-get-extended-content-list.in:
	  locale fallback added to content list retrieval scripts
	  (a new binary called scrollkeeper-get-cl was added, 
	   this does the job, the scripts just call it)
	- po/POTFILES.in, po/scrollkeeper.pot:

2001-02-19  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- cl/src/install.c: locale fallback added to
	doc installation

2001-02-19  Eric Fischer  <eric@eazel.com>
	reviewed by Laszlo Kovacs <laszlo.kovacs@sun.com>
	- cl/src/update.c: multiple OMF directory
	support added
	- cl/src/install.c: minor fix
	- man/man8/scrollkeeper-update.8: man page updated

2001-02-16  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- bug 132643 fixed
	- doc/scrollkeeper_manual/C/Makefile.am:
	  doc install location changed

2001-02-15  Dan Mueth <dan@eazel.com>

	- scrollkeeper.spec.in: added line to include the translations .mo file

2001-02-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- sv_SE locale added
	- /var/lib/scrollkeeper directory handling
	  moved to omf-install/Makefile.am

2001-02-15  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scripts/scrollkeeper-config.in:
	- scrollkeeper.spec.in:
	- omf-install/Makefile.am:
	  changed OMF directory to $datadir/omf
	- fixed link problem in some of the 
	  template$locale/Makefile.am files
	- configure.in: raised version number to 0.1.0

2001-02-14  Dan Mueth <dan@eazel.com>

	- cl/templates/C/scrollkeeper_cl.xml: Fixed typo
	- cl/templates/sv/scrollkeeper_cl.xml: Added Swedish(sv)
	  translation done by Christian Rose <menthos@menthos.com>
	- po/sv.po: Added, by Christian Rose <menthos@menthos.com>
	- configure.in: Added "sv"

2001-02-14  Dan Mueth <dan@eazel.com>

	- cl/templates/C/scrollkeeper_cl.xml: Added comment
	  so we can track versions

2001-02-13  Dan Mueth <dan@eazel.com>

	- updated the templates for the contents lists

2001-02-12  Dan Mueth <dan@eazel.com>

	- put entry into the spec file, which I left out earlier
	- incremented version to 0.0.6

2001-02-12  Dan Mueth <dan@eazel.com>

	- updated the templates for the contents lists

2001-02-06  Dan Mueth <dan@eazel.com>

	- woops - forgot to commit configure.in last time

2001-02-06  Dan Mueth <dan@eazel.com>
	- Changed spec file to only remove {localstatedir}/lib/scrollkeeper
	  if SK is not being upgraded
	- Changed spec file to only add {localstatedir}/lib/scrollkeeper
	  if SK is not being upgraded
	- Changed spec file to wipe out and then add 
	  {localstatedir}/lib/scrollkeeper if SK is upgraded if somebody
	  upgraded from 0.0.3 to 0.0.4 then they lost their database.
	  At this time, things are fast enough that we don't mind rebuilding
	  the database.  Later we can remove this if we want, although it
	  may be useful if the database format ever changes at all to
	  automatically rebuild the database on an upgrade.
	- configure.in: raised release number to 0.0.5

2001-02-05  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- added all the locale subdirectories and
	  links in cl/templates
	- release number raised to 0.0.4
	- spec file fixed

2001-02-05  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- recursive parsing of $(prefix)/doc/omf added
	  to cl/src/update.c
	- file copy problem fixed in cl/src/install.c

2001-02-05  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- added (and fixed) Gregory Leblanc's patch to
	  scrollkeeper.spec.in to arrange links in an
	  rpm friendly way

2001-02-02  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- internationalization of category trees implemented
	- code was added to cl/src/install.c
	- template translated category trees go into
	  cl/templates

2001-01-26  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- internationalization implemented, according
	  to guys from #i18n I created and implemented
	  everything needed for this; message translation
	  needs to be done

2001-01-26  Laszlo Kovacs <laszlo.kovacs@sun.com>
	- version number raised to 0.0.3

2001-01-18  Gregory Leblanc  <gleblanc@cu-portland.edu>

	- more .cvsignore adds

2001-01-18		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- "make distcheck" problem fixed
	  (in doc/scrollkeeper_manual/C/Makefile.am)

2001-01-17		Gregory Leblanc <gleblanc@cu-portland.edu> 
	- Added scrollkeeper.spec.in
	- Removed scrollkeeper.spec
	- configure.in added scrollkeeper.spec to AC_OUTPUT
	- .cvsignore added in a bunch of directories to help make things safer.
	- fixed scrollkeeper.spec.in snafoo
	
2000-12-17		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- Adding new categorizing method
	- changing category format in OMF file
	- cleaning up code in cl/src
	- the OMF file uses the just build preinstall binary, that is needed for
	  RPM creation without an installed Scrollkeeper

2000-12-16		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- Adding Makefile.am files for doc and subdirs
	- creating omf-install
	- spec file updated to install help files
	- version number changed to 0.0.2
	- INSTALL added
	- file name problem fixed in doc/scrollkeeper_manual/C/Makefile.am

2000-12-14		Dan Mueth <d-mueth@uchicago.edu>  

	- Adding doc/, doc/scrollkeeper-manual/, and doc/scrollkeeper-manual/*

2000-12-08		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- spec file changed so that /usr/doc/omf is owned
	  by Scrollkeeper

2000-12-08		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- various small fixes in scrollkeeper.spec and
	  cl/src/update.c

2000-12-7		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- fixed scrollkeeper.spec locastatedir problem and
	  added post-install and post-uninstall scripts

2000-12-6		Dan Mueth <d-mueth@uchicago.edu>  

	- scrollkeeper.spec: Still broken, but maybe closer.

2000-12-6		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- some options removed from man pages

2000-12-5		Dan Mueth <d-mueth@uchicago.edu>

	- Makefile.am: Added -p flag to scrollkeeper-update

2000-12-5		Dan Mueth <d-mueth@uchicago.edu>

	- man/man8/scrollkeeper-config.8: slight cleanup
	- scrollkeeper.spec: Put in localstatedir=%{_prefix}/var and
	  fixed %files for this directory: 
      %{_prefix}/var/lib/scrollkeeper
	- Makefile.am: Make it fail gracefully if scrollkeeper-update
	  is not installed, as in when you build an RPM without
	  having scrollkeeper installed already.
	- scripts/scrollkeeper-config.in: Changed a couple tabs to
	  spaces.

2000-12-5		Dan Mueth <d-mueth@uchicago.edu>

	- scrollkeeper.spec: Put docs into spec file 
	  (committed for Gregory Leblanc <GLeblanc@cu-portland.edu>)

2000-12-5		Dan Mueth <d-mueth@uchicago.edu>

	- scrollkeeper.spec: Modified version to 0.0.1-1
	- configure.in: Changed version to 0.0.1

2000-11-22		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scrollkeeper-update called at the end of install
	- scrollkeeper stuff removed at the end of uninstall

2000-11-22		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- Added scrollkeeper-rebuilddb.in
	- parameter passing problem fixed in update.c,
	  install.c and uninstall.c

2000-11-16		Dan Mueth <d-mueth@uchicago.edu>
	
	- Added spec file done by Gregory Leblanc 
	  <GLeblanc@cu-portland.edu>

2000-11-15		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scrollkeeper-get-extended-content-list.in added

2000-11-14		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- support for extended content list added

2000-11-14		Laszlo Kovacs <laszo.kovacs@sun.com>
	- TOC is created for DocBook/SGML docs only

2000-11-13		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- obsolete routine removed from uninstall.c
	- $(prefix)/omf changed to $(prefix)/doc/omf

2000-11-13		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- parameter passing fixed in scrollkeeper-install,
	  scrollkeeper-uninstall and scrollkeeper-update

2000-11-13		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scrollkeeper-get-toc-from-docpath exit code changed

2000-11-12		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- multiple docpath problem in scrollkeeper_docs fixed

2000-11-12		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- -p parameter added to scrollkeeper-install,
	  scrollkeeper-uninstall and scrollkeeper-update

2000-11-10		Dan Mueth <d-mueth@uchicago.edu>

	- man/man8/scrollkeeper-config.8: Added --omfdir.

2000-11-10		Dan Mueth <d-mueth@uchicago.edu>

	- man/man8/*: Changed a couple placed where I called
	  scrollkeeper-update scrollkeeper-updatedb.

2000-11-09		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- scrollkeeper-preinstall "How to use" message changed

2000-11-09		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- executable names changed in update.c

2000-11-09		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- binary names changed in cl/src

2000-11-09		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- documentation upgrade based on automatic detection 
	  of any change in the installed OMF files added

2000-11-09		Laszlo Kovacs <laszlo.kovacs@sun.com>
	- automatic detection of any change in the installed docs 
	  added (install and uninstall, no upgrade yet)
	- some scripts replaced with binaries

2000-11-09		Dan Mueth <d-mueth@uchicago.edu>

	- man/man8/*: Added scrollkeeper-config.8. Updated
	  other man pages to refer to this in their SEE ALSO
	  sections.

2000-11-08		Dan Mueth <d-mueth@uchicago.edu>

	- man/man8/scrollkeeper-preinstall.8: Some improvements
	  to make it match what we really intended to do.

2000-11-06		Dan Mueth <d-mueth@uchicago.edu>

	- man/*: Added these files. Drafts of 3 man pages done.
	- configure.in, Makefile.am: Updated to install man pages.

2000-11-01		Laszlo Kovacs laszlo.kovacs@sun.com
	- script updated to support OMF files with multiple entries

2000-10-31		Laszlo Kovacs laszlo.kovacs@sun.com
	- scrollkeeper_cl modified to process OMF file with multiple
	  document entries

2000-10-17		Laszlo Kovacs
	- keyword handling improved

2000-10-17		Laszlo Kovacs laszlo.kovacs@sun.com
	- new scripts added
	- url update in omf file added

2000-10-16		Laszlo Kovacs laszlo.kovacs@sun.com
	- install and uninstall scripts added (in the scripts dir)

2000-10-16		Laszlo Kovacs laszlo.kovacs@sun.com
	- bug fix in multiple document removal support

2000-10-16		Laszlo Kovacs laszlo.kovacs@sun.com
	- document removal supports documents appearing in
	  more than one tree entry

2000-10-16		Laszlo Kovacs laszlo.kovacs@sun.com
	- documents to be removed identified vy title
	  rather than document file name

2000-10-13		Laszlo Kovacs laszlo.kovacs@sun.com
	- add Content List handling (cl directory)
	- add scrollkeeper-config (scripts directory)

2000-09-29		Laszlo Kovacs laszlo.kovacs@sun.com
	- remove copyright notice from autogen.sh
	- importing  first version of scrollkeeper_toc and scrollkeeper_cl 
